## ros-noetic-bosch-locator-bridge 1.0.8

=== debian/changelog ===
ros-noetic-bosch-locator-bridge (1.0.8-1buster) buster; urgency=high

  * Support arrays in config for server node
  * Update module versions in server node
  * Use mutex to just make one json_rpc_call at a time
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 29 Jan 2023 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.7-1buster) buster; urgency=high

  * Fixed a bug that could cause latency in localization poses
  * Remove tf broadcaster
  * Support arrays in config
  * Check if laser scan message is valid
  * Update to ROKIT Locator version 1.5
  * Contributors: Fabian König, Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 07 Sep 2022 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.6-1buster) buster; urgency=high

  * Fix check of locator config params
  * Change version numbers for compatibility with v1.4.0
  * Add parameters for using intensities
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Tue, 12 Apr 2022 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.5-1buster) buster; urgency=high

  * update to ROKIT Locator version 1.4
  * add interface for second laser
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Mon, 14 Feb 2022 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.4-1buster) buster; urgency=high

  * handle NaNs in range values
  * add service for getting config entries
  * add server interface
  * Contributors: Stefan Laible, robertwil

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 23 Jan 2022 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.3-1buster) buster; urgency=high

  * update to ROKIT Locator version 1.3
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 01 Sep 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.2-1buster) buster; urgency=high

  * guarantee that duration_rotate is greater zero
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 21 Jul 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.1-1buster) buster; urgency=high

  * bump minimum cmake version
  * add poco dependency
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 19 May 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.0-1buster) buster; urgency=high

  * initial version
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 16 May 2021 22:00:00 -0000

## ros-noetic-bosch-locator-bridge 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(bosch_locator_bridge)

find_package(catkin REQUIRED COMPONENTS
    geometry_msgs
    message_generation
    nav_msgs
    pcl_conversions
    roscpp
    sensor_msgs
    std_msgs
    std_srvs
    tf2
    tf2_geometry_msgs
    tf2_ros
)

find_package(Poco REQUIRED COMPONENTS Foundation Net JSON)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# under melodic, we get a deprecation warning from a ROS include
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-deprecated-declarations")

add_message_files(
  DIRECTORY
  msg
  FILES
    ClientControlMode.msg
    ClientGlobalAlignLandmarkObservationNotice.msg
    ClientGlobalAlignLandmarkVisualizationInformation.msg
    ClientGlobalAlignVisualization.msg
    ClientLocalizationPose.msg
    ClientLocalizationVisualization.msg
    ClientMapVisualization.msg
    ClientRecordingVisualization.msg
)

add_service_files(
  FILES
    ClientConfigGetEntry.srv
    ClientMapList.srv
    ClientMapSend.srv
    ClientMapSet.srv
    ClientMapStart.srv
    StartRecording.srv
    ServerMapGetImageWithResolution.srv
    ServerMapList.srv
)

generate_messages(
  DEPENDENCIES
    geometry_msgs
    nav_msgs
    sensor_msgs
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    message_runtime
    nav_msgs
    pcl_conversions
    roscpp
    sensor_msgs
    std_msgs
    std_srvs
    tf2
    tf2_geometry_msgs
    tf2_ros
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  include/${PROJECT_NAME}
)

add_executable(${PROJECT_NAME}_node
  src/main.cpp
  src/locator_bridge_node.cpp
  src/sending_interface.cpp
  src/receiving_interface.cpp
  src/rosmsgs_datagram_converter.cpp
  src/locator_rpc_interface.cpp)
set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")
add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_node
  ${catkin_LIBRARIES}
  Poco::Foundation
  Poco::JSON
  Poco::Net
)

add_executable(${PROJECT_NAME}_server_node
  src/locator_rpc_interface.cpp
  src/rosmsgs_datagram_converter.cpp
  src/server/server_bridge_node.cpp
  src/server/server_main.cpp)
set_target_properties(${PROJECT_NAME}_server_node PROPERTIES OUTPUT_NAME server_node PREFIX "")
add_dependencies(${PROJECT_NAME}_server_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_server_node
  ${catkin_LIBRARIES}
  Poco::Foundation
  Poco::JSON
  Poco::Net
)

install(TARGETS ${PROJECT_NAME}_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}_server_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES config/locator_bridge_localization.rviz config/locator_bridge_map_creation.rviz config/locator_bridge_visual_recording.rviz
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)
install(FILES launch/bridge.launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-noetic-bosch-locator-bridge (1.0.9-3focal) focal; urgency=high

  * Try to stop everything before setting config list (#38 <https://github.com/boschglobal/locator_ros_bridge/issues/38>)
  * Add errorFlags and infoFlags fields to ClientLocalizationPose (#32 <https://github.com/boschglobal/locator_ros_bridge/issues/32>)
  * Update to ROKIT Locator version 1.6
  * Contributors: Sheung Ying Yuen-Wille, Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Mon, 20 Mar 2023 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.8-3focal) focal; urgency=high

  * Support arrays in config for server node
  * Update module versions in server node
  * Use mutex to just make one json_rpc_call at a time
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 29 Jan 2023 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.7-3focal) focal; urgency=high

  * Fixed a bug that could cause latency in localization poses
  * Remove tf broadcaster
  * Support arrays in config
  * Check if laser scan message is valid
  * Update to ROKIT Locator version 1.5
  * Contributors: Fabian König, Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 07 Sep 2022 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.6-3focal) focal; urgency=high

  * Fix check of locator config params
  * Change version numbers for compatibility with v1.4.0
  * Add parameters for using intensities
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Tue, 12 Apr 2022 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.5-3focal) focal; urgency=high

  * update to ROKIT Locator version 1.4
  * add interface for second laser
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Mon, 14 Feb 2022 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.4-3focal) focal; urgency=high

  * handle NaNs in range values
  * add service for getting config entries
  * add server interface
  * Contributors: Stefan Laible, robertwil

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 23 Jan 2022 23:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.3-3focal) focal; urgency=high

  * update to ROKIT Locator version 1.3
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 01 Sep 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.2-3focal) focal; urgency=high

  * guarantee that duration_rotate is greater zero
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 21 Jul 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.1-3focal) focal; urgency=high

  * bump minimum cmake version
  * add poco dependency
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 19 May 2021 22:00:00 -0000

ros-noetic-bosch-locator-bridge (1.0.0-3focal) focal; urgency=high

  * initial version
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 16 May 2021 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-bosch-locator-bridge
Section: misc
Priority: optional
Maintainer: Stefan Laible <stefan.laible@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), libpoco-dev, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-nav-msgs, ros-noetic-pcl-conversions, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-bosch-locator-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpoco-dev, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-pcl-conversions, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Description: ROS interface to Rexroth ROKIT Locator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-bosch-locator-bridge//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
